D4Science Infrastructure - Incident #8116

[SoBigData] Drupal error on LDAP authentication
Apr 13, 2017 03:42 PM - Vittorio Romano

Status: Closed Start date: Apr 13, 2017
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: System Configuration

Infrastructure: Production

Description

Hi,

we have a problem on the sobigdata.eu website: LDAP user authentication is no longer working. The log refers:
Failed to bind to server. Idap error #-1 Can't contact LDAP server
| don't know when this issue appeared, because we usually work with local users.

Thanks
Vittorio Romano

History

#1 - Apr 13, 2017 07:04 PM - Andrea Dell'’Amico
- Status changed from New to In Progress

- Assignee changed from Andrea Dell'’Amico to _InfraScience Systems Engineer

The IP address is 146.48.99.244, is it correct? | added it to the firewall whitelist, | don't know why it was removed.

#2 - Apr 13, 2017 07:05 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

#3 - Apr 14, 2017 10:40 AM - Vittorio Romano

Yes, the IP address resolved by sobigdata.eu is 146.48.99.244, but if | connect via SSH to the server and try to connect to a different computer the
outgoing IP address is 146.48.98.179.

It's probably related to the WAFI (IIT-CNR) architecture that hosts our server.

Can you please add also 146.48.98.179 to the whitelist?

#4 - Apr 14,2017 11:13 AM - Andrea Dell'’Amico

Done.
Please ensure that the Idap configuration uses Idaps (port 636).

#5 - Apr 14,2017 11:41 AM - Vittorio Romano

Great, it works!
You can close the ticket...

Thanks!

#6 - Apr 14, 2017 11:42 AM - Andrea Dell'Amico
- Status changed from Feedback to Closed
